Subject: bug#59613: 29.0.50; There is no tree-sitter equivalent for c-or-c++-mode

From: Yuan Fu <[email-masked]>
Date: Mon, 28 Nov 2022 14:42:36 -0800

Pankaj Jangid <[email-masked]> writes:

> For header files the default is c-or-c++-mode. As per the new
> convention, there should be a c-or-c++-ts-mode for header files.

(push '(c-mode . c-ts-mode) major-mode-remap-alist) doesn’t seem to
affect header files for some reason. I’ll need to look into it. In the
meantime, you can use auto-mode-alist to map .h files to c/c++-ts-mode.

Yuan